[@rxap/forms](../wiki/globals) / hasErrorAndTouched

# Function: hasErrorAndTouched()

> **hasErrorAndTouched**\<`T`\>(`control`, `error`, `path`?): `boolean`

Defined in: [packages/angular/forms/src/lib/control-actions.ts:136](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/control-actions.ts#L136)

## Type Parameters

• **T**

## Parameters

### control

[`AbstractControl`](../wiki/Interface.AbstractControl)\<`T`\>

### error

`string`

### path?

[`ControlPath`](../wiki/TypeAlias.ControlPath)

## Returns

`boolean`
